CreateAccount
POST
Activate an account. Uses an already activated account to activate a new account. Users have to generate an account locally with wallet-cli or others SDKs like TronWeb, and then use this API to activate the account generated, or just simply transfer TRX to it.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)account_addressstringrequired
Address of the account to be activated (format: Base58 or Hex). Example: TUZKijZ9Esy8JEkrqMpaVgtbDKKNA5p5CZvisibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)account_addressstring
Account address to be activated.typeinteger
Account type (e.g., 0 for external accounts).codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/createaccount' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"account_address": "TUZKijZ9Esy8JEkrqMpaVgtbDKKNA5p5CZ"}'